Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.content.adapter
Class BaseOps

    java.lang.Object
      com.bea.p13n.content.adapter.BaseOps

Direct Known Subclasses:
  NodeOpsImpl, ObjectClassOpsImpl, SearchOpsImpl

public abstract class BaseOps
extends Object

The base class for adapter ops classes. This provides a utility method for accessing a ContentManager. All adapter ops will look for the jndi home name in the connection properties under "CONTENT_MANAGER_HOME".

Field Summary
`static String` | `CONTENT_MANAGER_HOME` The name of the connection properties whose value is the JNDI home name of the ContentManager home to use.
`protected Credentials` | `credentials` The connection credentials.
`static String` | `PATH_IS_ID` The name of the connection property which determines if the content path is really just the content identifier.
`static String` | `PATH_STARTS_WITH_SLASH` The name of the connection property which determines if the content path from the ContentManager starts with a / or not.
`protected boolean` | `pathIsId` Is the Content path really just the Content identifier for the ContentManager this uses.
`protected boolean` | `pathStartsWithSlash` Does the Content path from the ContentManager start with a slash.
`protected Properties` | `properties` The connection properties.

Constructor Summary
`BaseOps(Credentials cred, Properties props)`

Method Summary
`ContentManager` | `getContentManager()` Get the ContentManager this is configured for.
`protected void` | `unsupported(String operation)` Method to invoke for unsupported operations.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONTENT_MANAGER_HOME

    public static final String CONTENT_MANAGER_HOME

  The name of the connection properties whose value is the JNDI home name of the ContentManager home to use.

  See Also:
    Constant Field Values

### credentials

    protected Credentials credentials

  The connection credentials.

### PATH_IS_ID

    public static final String PATH_IS_ID

  The name of the connection property which determines if the content path is really just the content identifier.

  See Also:
    Constant Field Values

### PATH_STARTS_WITH_SLASH

    public static final String PATH_STARTS_WITH_SLASH

  The name of the connection property which determines if the content path from the ContentManager starts with a / or not.

  See Also:
    Constant Field Values

### pathIsId

    protected boolean pathIsId

  Is the Content path really just the Content identifier for the ContentManager this uses.

  If true, then an comparison against the Node path will compare to the Content identifier. If false, comparisons against the Node path will compare to the Content name.

  This is initialized from the connection properties and defaults to true (which is the default for the reference implementation DocumentManager).

### pathStartsWithSlash

    protected boolean pathStartsWithSlash

  Does the Content path from the ContentManager start with a slash.

  Since Node paths must start with /, this will be used to determine if leading slashes should be trimmed for path comparisons to the ContentManager.

  This is initialized from the connection properties and defaults to false (which is the default for the reference implementation DocumentManager).

### properties

    protected Properties properties

  The connection properties.

Constructor Detail

### BaseOps

    public BaseOps(Credentials cred,
                   Properties props)

Method Detail

### getContentManager

    public ContentManager getContentManager()

  Get the ContentManager this is configured for.

### unsupported

    protected void unsupported(String operation)

  Method to invoke for unsupported operations.

  Parameters:
    `operation` - the operation description (e.g. "Creating object classes").

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved